Bug 1647843 - SELinux is preventing pmdalinux from 'search' accesses on the directory spider.
Summary: SELinux is preventing pmdalinux from 'search' accesses on the directory spider.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Berk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5bd8baf86aa791f64352934a4e0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-08 13:52 UTC by D.S. Ljungmark
Modified: 2018-11-28 02:45 UTC (History)
9 users (show)

Fixed In Version: pcp-4.2.0-1.fc27 pcp-4.2.0-1.fc29 pcp-4.2.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 02:22:13 UTC
Type: ---


Attachments (Terms of Use)

Description D.S. Ljungmark 2018-11-08 13:52:02 UTC
Description of problem:
After upgrading to Fedora 29 this happens regularly
SELinux is preventing pmdalinux from 'search' accesses on the directory spider.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that pmdalinux should be allowed search access on the spider directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'pmdalinux' --raw | audit2allow -M my-pmdalinux
# semodule -X 300 -i my-pmdalinux.pp

Additional Information:
Source Context                system_u:system_r:pcp_pmcd_t:s0
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                spider [ dir ]
Source                        pmdalinux
Source Path                   pmdalinux
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-41.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.18.16-300.fc29.x86_64 #1 SMP Sat
                              Oct 20 23:24:08 UTC 2018 x86_64 x86_64
Alert Count                   49
First Seen                    2018-11-08 14:16:12 CET
Last Seen                     2018-11-08 14:48:12 CET
Local ID                      ff491756-6acd-4513-a162-be5e17639f85

Raw Audit Messages
type=AVC msg=audit(1541684892.672:824): avc:  denied  { search } for  pid=2204 comm="pmdalinux" name="spider" dev="nvme0n1p4" ino=257 scontext=system_u:system_r:pcp_pmcd_t:s0 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir permissive=0


Hash: pmdalinux,pcp_pmcd_t,user_home_dir_t,dir,search

Version-Release number of selected component:
selinux-policy-3.14.2-41.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.6
hashmarkername: setroubleshoot
kernel:         4.18.16-300.fc29.x86_64
type:           libreport

Potential duplicate: bug 1542621

Comment 1 Lukas Berk 2018-11-15 19:33:02 UTC
This was fixed as a byproduct of another commit and will be in the next pcp release

commit b83c178f65afb85b674d131bbb2585219e1b273f
Author: Lukas Berk <lberk@redhat.com>
Date:   Thu Oct 4 10:29:38 2018 -0400

    Change perl implementation pmdaelasticsearch to python
    
    Update the json pointers and url's for applicable metric

Comment 2 Fedora Update System 2018-11-16 10:25:18 UTC
pcp-4.2.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3b0d7f7858

Comment 3 Fedora Update System 2018-11-16 10:26:20 UTC
pcp-4.2.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ae612244a9

Comment 4 Fedora Update System 2018-11-16 10:27:08 UTC
pcp-4.2.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8da69c3c21

Comment 5 Fedora Update System 2018-11-17 04:44:33 UTC
pcp-4.2.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3b0d7f7858

Comment 6 Fedora Update System 2018-11-17 05:58:47 UTC
pcp-4.2.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8da69c3c21

Comment 7 Fedora Update System 2018-11-17 06:39:48 UTC
pcp-4.2.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ae612244a9

Comment 8 Fedora Update System 2018-11-28 02:22:13 UTC
pcp-4.2.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-28 02:42:13 UTC
pcp-4.2.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-11-28 02:45:50 UTC
pcp-4.2.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.